package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF793 extends MwfRequest<MWF793, MWF793Response> {

    @Parameter(name = "APPLICATION_TYPE_IN")
    MWF793 applicationTypeIn(String applicationTypeIn);
    @Parameter(name = "APP_STATE_IN")
    MWF793 appStateIn(String appStateIn);
    @Parameter(name = "Barva_Flag")
    MWF793 barvaFlag(String barvaFlag);
    @Parameter(name = "CIF")
    MWF793 cif(String cif);
    @Parameter(name = "CisloDokladu")
    MWF793 cisloDokladu(String cisloDokladu);
    @Parameter(name = "CisloDruhehoDokladu")
    MWF793 cisloDruhehoDokladu(String cisloDruhehoDokladu);
    @Parameter(name = "CisloTelefonu")
    MWF793 cisloTelefonu(String cisloTelefonu);
    @Parameter(name = "DatumDo")
    MWF793 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWF793 datumOd(java.util.Date datumOd);
    @Parameter(name = "FE_Channel_ID")
    MWF793 fEChannelID(String fEChannelID);
    @Parameter(name = "ICO")
    MWF793 ico(String ico);
    @Parameter(name = "IDZadosti")
    MWF793 iDZadosti(String iDZadosti);
    @Parameter(name = "MTS_TypZadosti")
    MWF793 mTSTypZadosti(String mTSTypZadosti);
    @Parameter(name = "NAS_Flag")
    MWF793 nASFlag(Long nASFlag);
    @Parameter(name = "OM")
    MWF793 om(String om);
    @Parameter(name = "OVR_Flag")
    MWF793 oVRFlag(String oVRFlag);
    @Parameter(name = "PRODUCT_REQUESTED_IN")
    MWF793 productRequestedIn(String productRequestedIn);
    @Parameter(name = "Prijmeni")
    MWF793 prijmeni(String prijmeni);
    @Parameter(name = "RC")
    MWF793 rc(String rc);
    @Parameter(name = "StavZadostiJednoduchy")
    MWF793 stavZadostiJednoduchy(String stavZadostiJednoduchy);
    @Parameter(name = "TypDokladu")
    MWF793 typDokladu(String typDokladu);
    @Parameter(name = "VIN")
    MWF793 vin(String vin);
}
